summaryrefslogtreecommitdiffstats
path: root/encap/src/encap-profiles/daemontools-0.76.ep
diff options
context:
space:
mode:
authorDaniel Joseph Barnhart Clark <dclark@pobox.com>2006-10-03 12:13:53 +0000
committerDaniel Joseph Barnhart Clark <dclark@pobox.com>2006-10-03 12:13:53 +0000
commit4a5d68a47ecbc3add0d2d6b5785c31d0acace58d (patch)
treeb99d9e8cc227b0f158823dcdb646352626d9b3aa /encap/src/encap-profiles/daemontools-0.76.ep
parent2c31bf62cb9c67ab798c6730b149d4396934e27d (diff)
downloadbcfg2-4a5d68a47ecbc3add0d2d6b5785c31d0acace58d.tar.gz
bcfg2-4a5d68a47ecbc3add0d2d6b5785c31d0acace58d.tar.bz2
bcfg2-4a5d68a47ecbc3add0d2d6b5785c31d0acace58d.zip
EncapPackages: Merging changes from branches/private/dclark/encap-0.8.5.
Major change is removal of dependancies on libgcc, libstdc++, gettext, and libiconv. git-svn-id: https://svn.mcs.anl.gov/repos/bcfg/trunk/bcfg2@2368 ce84e21b-d406-0410-9b95-82705330c041
Diffstat (limited to 'encap/src/encap-profiles/daemontools-0.76.ep')
-rw-r--r--encap/src/encap-profiles/daemontools-0.76.ep27
1 files changed, 24 insertions, 3 deletions
diff --git a/encap/src/encap-profiles/daemontools-0.76.ep b/encap/src/encap-profiles/daemontools-0.76.ep
index 5eb4ba338..569a9aa4f 100644
--- a/encap/src/encap-profiles/daemontools-0.76.ep
+++ b/encap/src/encap-profiles/daemontools-0.76.ep
@@ -12,7 +12,7 @@
<environment
variable="CC"
- value="gcc"
+ value="gcc -static-libgcc"
type="set"
/>
@@ -311,8 +311,8 @@ else
REALDIR=`pwd -P`
rm /service/$SERVICE
svc -dx . log
- rm -rf ${REALDIR}/supervise
- rm -rf ${REALDIR}/log/supervise
+ test -d ${REALDIR}/supervise && rm -rf ${REALDIR}/supervise
+ test -d ${REALDIR}/log/supervise && rm -rf ${REALDIR}/log/supervise
fi
exit 0
]]></include_file>
@@ -436,6 +436,27 @@ cd /usr/local/encap/daemontools-0.76 && ./package/run
printf "Finished daemontools postinstall script.\n"
]]></include_file>
+<include_file name="preremove" mode="0755"><![CDATA[
+#!/bin/sh
+
+printf "Running daemontools preremove script...\n"
+date
+
+for SERVICE in `ls /service`; do
+ if [ -h /service/$SERVICE ]; then
+ printf "INFO: Removing /service/$SERVICE ...\n"
+ /command/svrm /service/$SERVICE || true
+ fi
+done
+
+if [ -h /service/.svscan ]; then
+ printf "INFO: Removing /service/.svscan ...\n"
+ /command/svrm /service/.svscan || true
+fi
+
+printf "Finished daemontools preremove script.\n"
+]]></include_file>
+
<encapinfo>
description daemontools - a collection of tools for managing UNIX services
exclude src